## votca-csg 1.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(votca-csg)

set(PROJECT_VERSION "1.2.3")
set(PROJECT_CONTACT "bugs@votca.org")
string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
if (NOT ${SOVERSION} MATCHES "[1-9]+")
  message(FATAL_ERROR "Could not determind SOVERSION from ${PROJECT_VERSION}")
endif (NOT ${SOVERSION} MATCHES "[1-9]+")

# Cmake modules/macros are in a subdirectory to keep this file cleaner
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules)

if(NOT CMAKE_BUILD_TYPE)
  #Release comes with -O3 by default
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

enable_language(CXX)

######################################################################
# compiler tests
# these need ot be done early (before further tests).
#####################################################################

include(CheckCXXCompilerFlag)

########################################################################
# User input options                                                   #
########################################################################
option(BUILD_SHARED_LIBS "Build shared libs" ON)
if (NOT DEFINED LIB)
  set(LIB "lib")
endif(NOT DEFINED LIB)
if (NOT DEFINED MAN)
  set(MAN "share/man")
endif(NOT DEFINED MAN)
if (NOT DEFINED DATA)
  set(DATA "share/votca")
endif(NOT DEFINED DATA)

# this has to be the include specification!
include_directories(${CMAKE_SOURCE_DIR}/include)

########################################################################
#Find external packages
########################################################################
find_package(TXT2TAGS)
option(EXTERNAL_BOOST "Use external boost" ON)
if (EXTERNAL_BOOST)
  find_package(Boost 1.39.0 COMPONENTS program_options )
  if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost not found,  make sure you have also installed boost and it's dev package or use our internal replacement, if you have built tools with -DEXTERNAL_BOOST=OFF and set it here as well")
  endif(NOT Boost_FOUND)
  include_directories(${Boost_INCLUDE_DIRS})
  set (BOOST_LIBRARIES ${Boost_PROGRAM_OPTIONS_LIBRARY})
  set (BOOST_PKG)
  set (BOOST_CFLAGS_PKG "-I${Boost_INCLUDE_DIRS}")
  string(REGEX REPLACE "^(.*)/lib([^/]*)\\.[^.]*$" "-L\\1 -l\\2" BOOST_LIBS_PKG ${BOOST_LIBRARIES})
else(EXTERNAL_BOOST)
  find_package(VOTCA_BOOST REQUIRED)
  include_directories(${VOTCA_BOOST_INCLUDE_DIRS})
  set (BOOST_LIBRARIES ${VOTCA_BOOST_LIBRARIES})
  set (BOOST_PKG "libvotca_boost")
  set (BOOST_INCLUDE_DIR_PKG)
  set (BOOST_LIB_PKG)
  set (BOOST_LIB_DIR_PKG)
endif(EXTERNAL_BOOST)
find_package(VOTCA_TOOLS REQUIRED)
include_directories(${VOTCA_TOOLS_INCLUDE_DIRS})
find_package(UnixCommands)

########################################################################
# Basic system tests (standard libraries, headers, functions, types)   #
########################################################################
include(CheckIncludeFile)
foreach(HEADER assert.h)
  check_include_file(${HEADER} FOUND_${HEADER})
  if(NOT FOUND_${HEADER})
    message(FATAL_ERROR "Could not find needed header - ${HEADER}")
  endif(NOT FOUND_${HEADER})
endforeach(HEADER)

include(CheckIncludeFileCXX)
foreach(HEADER algorithm fstream iomanip iostream list map numeric sstream stdexcept string vector cstdlib)
  check_include_file_cxx(${HEADER} FOUND_${HEADER})
  if(NOT FOUND_${HEADER})
    message(FATAL_ERROR "Could not find needed header - ${HEADER}")
  endif(NOT FOUND_${HEADER})
endforeach(HEADER)

set(MATH_LIBRARIES "m" CACHE STRING "math library")
mark_as_advanced( MATH_LIBRARIES )
include(CheckLibraryExists)
foreach(FUNC sqrt)
  check_library_exists(${MATH_LIBRARIES} ${FUNC} "" FOUND_${FUNC}_${MATH_LIBRARIES})
  if(NOT FOUND_${FUNC}_${MATH_LIBRARIES})
    message(FATAL_ERROR "Could not find needed math function - ${FUNC}")
  endif(NOT FOUND_${FUNC}_${MATH_LIBRARIES})
endforeach(FUNC)

######################################
# Include the following subdirectory # 
######################################
add_custom_target(manpages ALL)
add_subdirectory(scripts)
add_subdirectory(src)
add_subdirectory(include/votca/csg)
add_subdirectory(share)

configure_file(${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== src/libcsg/CMakeLists.txt ===
option(WITH_GMX "Build gromacs reader/writer, disabling leads to reduced functionality!" ON)
option(WITH_GMX_DEVEL "Build against gromacs devel version, very experimental!" OFF)
option(GMX_DOUBLE "Use double precision version of gromacs" OFF)

file(GLOB GMX_SOURCES modules/io/gmx*.cc modules/io/gro*.cc modules/io/pdbtopology*.cc)
file(GLOB NOT_GMX_SOURCES modules/io/gmx_print_version.cc modules/io/gmx_version_nb.cc)
list(REMOVE_ITEM GMX_SOURCES ${NOT_GMX_SOURCES})

file(GLOB IO_SOURCES modules/io/*.cc)
file(GLOB NOT_IO_SOURCES modules/io/mdp*.cc)
list(REMOVE_ITEM IO_SOURCES ${GMX_SOURCES} ${NOT_GMX_SOURCES} ${NOT_IO_SOURCES})

if (WITH_GMX)
  if (GMX_DOUBLE)
    set(GMX_SUFFIX "_d")
  endif(GMX_DOUBLE)
  if (WITH_GMX_DEVEL)
    message(WARNING " Using gromacs-5.0, this is very experimental, hope you know what you are doing")
    set(LIBGMX "libgromacs") 
  else(WITH_GMX_DEVEL)
    set(LIBGMX "libgmx") 
  endif(WITH_GMX_DEVEL)
  find_package(GROMACS COMPONENTS "${LIBGMX}${GMX_SUFFIX}")
  if (NOT GROMACS_FOUND)
    message(FATAL_ERROR "gromacs not found,  make sure you have installed at least the gromacs-4.0.7 and it's dev package. If the gromacs module was not found above, make sure you have sourced GMXRC or set PKG_CONFIG_PATH yourself. If you have a double precision version of gromacs enable to build against it with -DGMX_DOUBLE=ON. If you have gromacs-5.0 installed enable to build against it with -DWITH_GMX_DEVEL=ON. Gromacs support can be disable it with -DWITH_GMX=OFF. ")
  endif(NOT GROMACS_FOUND)
  #general to a gmx builds
  add_definitions(${GROMACS_DEFINITIONS})
  include_directories(${GROMACS_INCLUDE_DIRS})
  set(GMX ${GROMACS_VERSION})
  add_executable(gmx_print_version modules/io/gmx_print_version.cc)
  target_link_libraries(gmx_print_version ${GROMACS_LIBRARIES})
  add_custom_command(OUTPUT gmx_libs_version.h COMMAND gmx_print_version > gmx_libs_version.h DEPENDS gmx_print_version) 
  list(APPEND GMX_SOURCES gmx_libs_version.h)
else(WITH_GMX)
  set(GMX)
  set(GMX_SOURCES)
endif(WITH_GMX)

configure_file(votca_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/votca_config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_custom_target(hgversion COMMAND ${CMAKE_COMMAND} -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/hgversion.cmake)
set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES hgversion.h)

file(GLOB VOTCA_SOURCES *.cc)
file(GLOB NOT_VOTCA_SOURCES version_nb.cc test.cc)
list(REMOVE_ITEM VOTCA_SOURCES ${NOT_VOTCA_SOURCES})
add_library(votca_csg ${VOTCA_SOURCES} ${GMX_SOURCES} ${IO_SOURCES})
add_dependencies(votca_csg hgversion)
set_target_properties(votca_csg PROPERTIES SOVERSION ${SOVERSION})
target_link_libraries(votca_csg ${VOTCA_TOOLS_LIBRARIES} ${GROMACS_LIBRARIES} ${BOOST_LIBRARIES})
install(TARGETS votca_csg LIBRARY DESTINATION ${LIB} ARCHIVE DESTINATION ${LIB})

configure_file(libvotca_csg.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libvotca_csg.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libvotca_csg.pc DESTINATION ${LIB}/pkgconfig)

=== debian/changelog ===
votca-csg (1.2.3-1) unstable; urgency=low

  [ Christoph Junghans ]
  * Initial release (Closes: #621874)

 -- Michael Banck <mbanck@debian.org>  Thu, 29 May 2014 21:48:48 +0200

=== debian/control ===
Source: votca-csg
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>, Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-python, cmake, gromacs-dev, libvotca-tools-dev, txt2tags, libboost-program-options-dev, pkg-config, python, bash-completion
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://www.votca.org

Package: libvotca-csg2-dev
Section: libdevel
Architecture: any
Depends: libvotca-csg2 (= ${binary:Version}), ${misc:Depends}
Description: VOTCA's coarse-graining library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.
 .
 This package contains header files and pkg-config files and templates 
 for VOTCA programs.

Package: libvotca-csg2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VOTCA's coarse-graining library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.

Package: votca-csg-scripts
Architecture: all
Depends: perl5, bash (>= 4), ${python:Depends}, ${misc:Depends}
Description: VOTCA's coarse-graining scripts
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts. 

Package: votca-csg-tutorials
Architecture: all
Depends: bash (>= 4), ${misc:Depends}
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent tutorials.. 

Package: votca-csg
Architecture: any
Depends: libvotca-csg2 (= ${binary:Version}), votca-csg-scripts (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: votca-csg-tutorials
Description: VOTCA's coarse-graining engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 csg is Votca's coarse-graining engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_configure:
	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)

override_dh_python2:
	dh_python2 /usr/share/votca/scripts/inverse/ -X.sh -X.pl

override_dh_auto_install:
	dh_auto_install
	cp -r tutorials debian/tmp/usr/share/votca/
	rm -f debian/tmp/usr/share/votca/tutorials/.hg* debian/tmp/usr/share/votca/tutorials/spce/realtime/clean.sh

%:
	dh $@ --with bash-completion,python2

=== debian/watch ===
version=3
http://code.google.com/p/votca/downloads/list .*/votca-csg-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## votca-csg 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(votca-csg)
 
-set(PROJECT_VERSION "1.2.3")
+set(PROJECT_VERSION "1.2.4")
 set(PROJECT_CONTACT "bugs@votca.org")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
@@ -46,6 +46,8 @@
 ########################################################################
 #Find external packages
 ########################################################################
+find_package(Threads REQUIRED)
+set(THREAD_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
 find_package(TXT2TAGS)
 option(EXTERNAL_BOOST "Use external boost" ON)
 if (EXTERNAL_BOOST)

=== scripts/CMakeLists.txt ===
configure_file(help2t2t.in ${CMAKE_CURRENT_BINARY_DIR}/help2t2t.out @ONLY)
add_custom_command(OUTPUT help2t2t DEPENDS help2t2t)
add_custom_target(help2t2t ALL COMMAND ${CMAKE_COMMAND}
    -DINPUT="help2t2t.out" -DOUTPUT="help2t2t"
    -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/hgscript.cmake
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/help2t2t.out)
set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES help2t2t)

foreach(SCRIPT csg_call csg_inverse multi_g_rdf)
  configure_file(${SCRIPT}.in ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.out @ONLY)
  add_custom_command(OUTPUT ${SCRIPT} DEPENDS ${SCRIPT})
  add_custom_target(${SCRIPT} ALL COMMAND ${CMAKE_COMMAND}
    -DINPUT="${SCRIPT}.out" -DOUTPUT="${SCRIPT}"
    -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/hgscript.cmake
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.out)
  set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} DESTINATION bin)
  if (TXT2TAGS_FOUND AND BASH)
    add_custom_command(OUTPUT ${SCRIPT}.man 
      COMMAND CSGSHARE=${CMAKE_SOURCE_DIR}/share ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} --help > ${SCRIPT}.help
      COMMAND ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/help2t2t ${SCRIPT}.help > ${SCRIPT}.t2t 
      COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${SCRIPT}.t2t -o ${SCRIPT}.man
      DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} ${CMAKE_CURRENT_BINARY_DIR}/help2t2t)
    add_custom_target(${SCRIPT}_manpage DEPENDS ${SCRIPT}.man)
    add_dependencies(manpages ${SCRIPT}_manpage)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.man DESTINATION ${MAN}/man1 RENAME ${SCRIPT}.1)
    set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT}.help ${SCRIPT}.t2t)
  endif(TXT2TAGS_FOUND AND BASH)
endforeach(SCRIPT)

option(WITH_RC_FILES "Install votca rc files, no need when installing under /usr" ON)
if (WITH_RC_FILES)
  foreach(RC csg.rc.bash csg.rc.csh)
    configure_file(${RC}.in ${CMAKE_CURRENT_BINARY_DIR}/${RC} @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${RC} DESTINATION ${DATA}/rc)
  endforeach(RC)
endif (WITH_RC_FILES)

install(FILES csg-completion.bash DESTINATION ${DATA}/rc)

=== share/CMakeLists.txt ===
add_subdirectory(man)
add_subdirectory(xml)
add_subdirectory(doc)
add_subdirectory(scripts/inverse)
add_subdirectory(template)

=== src/CMakeLists.txt ===
add_subdirectory(libcsg)
add_subdirectory(tools)
add_subdirectory(csg_boltzmann)

=== share/doc/CMakeLists.txt ===
find_package(Doxygen)
if (DOXYGEN_FOUND)
  configure_file(Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(html COMMAND ${DOXYGEN_EXECUTABLE} Doxyfile 
    COMMENT "Build doxygen documentation")
endif (DOXYGEN_FOUND)

=== share/man/CMakeLists.txt ===
if (TXT2TAGS_FOUND)
  add_custom_command(OUTPUT votca-csg.man 
    COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${CMAKE_CURRENT_SOURCE_DIR}/votca-csg.t2t -o votca-csg.man
    COMMENT "Building votca-csg manpage")
  add_custom_target(votca-csg_manpage DEPENDS votca-csg.man)
  add_dependencies(manpages votca-csg_manpage)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/votca-csg.man DESTINATION ${MAN}/man7 RENAME votca-csg.7)
endif (TXT2TAGS_FOUND)

=== share/template/CMakeLists.txt ===
add_custom_command(OUTPUT votca/csg
 COMMAND ${CMAKE_COMMAND} -E make_directory votca
 COMMAND ${CMAKE_COMMAND} -E create_symlink ${CMAKE_SOURCE_DIR}/include votca/csg
)
add_custom_target(csg_include_links DEPENDS votca/csg)
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM TRUE)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

foreach(PROG template_serial template_threaded)
  file(GLOB ${PROG}_SOURCES ${PROG}.cc)
  add_executable(${PROG} ${${PROG}_SOURCES})
  add_dependencies(${PROG} csg_include_links)
  target_link_libraries(${PROG} votca_csg)
 install(FILES ${${PROG}_SOURCES} DESTINATION ${DATA}/template)
endforeach(PROG)

install(FILES CMakeLists.txt.template DESTINATION ${DATA}/template RENAME CMakeLists.txt)

=== share/xml/CMakeLists.txt ===
file(GLOB_RECURSE VOTCA_XML *.xml)
install(FILES ${VOTCA_XML} DESTINATION ${DATA}/xml)

=== src/csg_boltzmann/CMakeLists.txt ===
file(GLOB CSG_BO_SOURCES *.cc)
add_executable(csg_boltzmann ${CSG_BO_SOURCES})
target_link_libraries(csg_boltzmann votca_csg)
install(TARGETS csg_boltzmann RUNTIME DESTINATION bin)
if (TXT2TAGS_FOUND AND BASH)
  add_custom_command(OUTPUT csg_boltzmann.man 
    COMMAND ${CMAKE_CURRENT_BINARY_DIR}/csg_boltzmann --help > csg_boltzmann.help DEPENDS csg_boltzmann
    COMMAND ${BASH} ${CMAKE_BINARY_DIR}/scripts/help2t2t csg_boltzmann.help > csg_boltzmann.t2t
    COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i csg_boltzmann.t2t -o csg_boltzmann.man
    DEPENDS scripts/help2t2t csg_boltzmann)
  add_custom_target(csg_boltzmann_manpage DEPENDS csg_boltzmann.man)
  add_dependencies(manpages csg_boltzmann_manpage)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/csg_boltzmann.man DESTINATION ${MAN}/man1 RENAME csg_boltzmann.1)
  set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES csg_boltzmann.help csg_boltzmann.t2t)
endif(TXT2TAGS_FOUND AND BASH)

=== src/libcsg/CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 add_library(votca_csg ${VOTCA_SOURCES} ${GMX_SOURCES} ${IO_SOURCES})
 add_dependencies(votca_csg hgversion)
 set_target_properties(votca_csg PROPERTIES SOVERSION ${SOVERSION})
-target_link_libraries(votca_csg ${VOTCA_TOOLS_LIBRARIES} ${GROMACS_LIBRARIES} ${BOOST_LIBRARIES})
+target_link_libraries(votca_csg ${VOTCA_TOOLS_LIBRARIES} ${GROMACS_LIBRARIES} ${BOOST_LIBRARIES} ${THREAD_LIBRARIES})
 install(TARGETS votca_csg LIBRARY DESTINATION ${LIB} ARCHIVE DESTINATION ${LIB})
 
 configure_file(libvotca_csg.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libvotca_csg.pc @ONLY)

=== src/tools/CMakeLists.txt ===
foreach(PROG csg_map csg_dump csg_property csg_resample csg_stat csg_fmatch csg_imcrepack csg_gmxtopol csg_part_dist csg_density)
  file(GLOB ${PROG}_SOURCES ${PROG}*.cc)
  add_executable(${PROG} ${${PROG}_SOURCES})
  target_link_libraries(${PROG} votca_csg)
  install(TARGETS ${PROG} RUNTIME DESTINATION bin)
  if (TXT2TAGS_FOUND AND BASH)
    add_custom_command(OUTPUT ${PROG}.man 
      COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${PROG} --help > ${PROG}.help
      COMMAND ${BASH} ${CMAKE_BINARY_DIR}/scripts/help2t2t ${PROG}.help > ${PROG}.t2t 
      COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${PROG}.t2t -o ${PROG}.man
      DEPENDS scripts/help2t2t ${PROG})
    add_custom_target(${PROG}_manpage DEPENDS ${PROG}.man)
    add_dependencies(manpages ${PROG}_manpage)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROG}.man DESTINATION ${MAN}/man1 RENAME ${PROG}.1)
    set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${PROG}.help ${PROG}.t2t)
  endif(TXT2TAGS_FOUND AND BASH)
endforeach(PROG)

=== include/votca/csg/CMakeLists.txt ===
file(GLOB_RECURSE VOTCA_HEADERS *.h)
install(FILES ${VOTCA_HEADERS} DESTINATION include/votca/csg)

=== debian/changelog ===
votca-csg (1.2.4-1) unstable; urgency=medium

  [ Christoph Junghans]
  * version bump (Closes: #759974)

  [ Nicholas Breen ]
  * Add Vcs-Browser and Vcs-Svn fields to debian/control

 -- Christoph Junghans <junghans@votca.org>  Fri, 05 Sep 2014 19:06:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://www.votca.org
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-csg/
 
 Package: libvotca-csg2-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)
+	#drop WITH_GMX_DEVEL=ON in Version >=1.3
+	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DWITH_GMX_DEVEL=ON
 
 override_dh_python2:
 	dh_python2 /usr/share/votca/scripts/inverse/ -X.sh -X.pl

=== debian/watch ===
version=3
http://downloads.votca.googlecode.com/hg/votca-csg-([.0-9]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## votca-csg 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(votca-csg)
 
-set(PROJECT_VERSION "1.2.4")
+set(PROJECT_VERSION "1.3")
 set(PROJECT_CONTACT "bugs@votca.org")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
@@ -12,10 +12,13 @@
 # Cmake modules/macros are in a subdirectory to keep this file cleaner
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules)
 
-if(NOT CMAKE_BUILD_TYPE)
+if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
   #Release comes with -O3 by default
   set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
-endif(NOT CMAKE_BUILD_TYPE)
+endif(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CXX_FLAGS)
+if(CMAKE_BUILD_TYPE STREQUAL Debug)
+  add_definitions(-DDEBUG)
+endif(CMAKE_BUILD_TYPE STREQUAL Debug)
 
 enable_language(CXX)
 
@@ -41,37 +44,48 @@
 endif(NOT DEFINED DATA)
 
 # this has to be the include specification!
-include_directories(${CMAKE_SOURCE_DIR}/include)
+include_directories(${CMAKE_CURRENT_SOURCE_DIR}/include)
 
 ########################################################################
 #Find external packages
 ########################################################################
+if(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/.git)
+  find_package(Git)
+endif(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/.git)
+
 find_package(Threads REQUIRED)
 set(THREAD_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
-find_package(TXT2TAGS)
-option(EXTERNAL_BOOST "Use external boost" ON)
-if (EXTERNAL_BOOST)
-  find_package(Boost 1.39.0 COMPONENTS program_options )
-  if(NOT Boost_FOUND)
-    message(FATAL_ERROR "Boost not found,  make sure you have also installed boost and it's dev package or use our internal replacement, if you have built tools with -DEXTERNAL_BOOST=OFF and set it here as well")
-  endif(NOT Boost_FOUND)
-  include_directories(${Boost_INCLUDE_DIRS})
-  set (BOOST_LIBRARIES ${Boost_PROGRAM_OPTIONS_LIBRARY})
-  set (BOOST_PKG)
-  set (BOOST_CFLAGS_PKG "-I${Boost_INCLUDE_DIRS}")
-  string(REGEX REPLACE "^(.*)/lib([^/]*)\\.[^.]*$" "-L\\1 -l\\2" BOOST_LIBS_PKG ${BOOST_LIBRARIES})
-else(EXTERNAL_BOOST)
-  find_package(VOTCA_BOOST REQUIRED)
-  include_directories(${VOTCA_BOOST_INCLUDE_DIRS})
-  set (BOOST_LIBRARIES ${VOTCA_BOOST_LIBRARIES})
-  set (BOOST_PKG "libvotca_boost")
-  set (BOOST_INCLUDE_DIR_PKG)
-  set (BOOST_LIB_PKG)
-  set (BOOST_LIB_DIR_PKG)
-endif(EXTERNAL_BOOST)
+option(BUILD_MANPAGES "Build manpages" ON)
+if (BUILD_MANPAGES)
+  find_package(TXT2TAGS)
+  find_package(UnixCommands)
+else (BUILD_MANPAGES)
+  #we use TXT2TAGS_FOUND conditionals in other CMakeLists.txt
+  #so that TXT2TAGS is never required
+  set(TXT2TAGS_FOUND)
+endif (BUILD_MANPAGES)
+
+find_package(Boost 1.39.0 REQUIRED COMPONENTS program_options filesystem system )
+include_directories(${Boost_INCLUDE_DIRS})
+set (BOOST_CFLAGS_PKG "-I${Boost_INCLUDE_DIRS}")
+set(BOOST_LIBS_PKG "-L${Boost_LIBRARY_DIRS}")
+foreach(_blib ${Boost_LIBRARIES})
+  string(REGEX REPLACE ".*/lib([^/]*)\\.[^.]*$" "-l\\1" _blib ${_blib})
+  set(BOOST_LIBS_PKG "${BOOST_LIBS_PKG} ${_blib}")
+endforeach(_blib)
+
 find_package(VOTCA_TOOLS REQUIRED)
 include_directories(${VOTCA_TOOLS_INCLUDE_DIRS})
-find_package(UnixCommands)
+
+option(WITH_GMX "Build gromacs reader/writer, disabling leads to reduced functionality!" ON)
+if (WITH_GMX)
+  foreach(LIBGMX libgmx_d libgmx libgromacs_d libgromacs)
+    find_package(GROMACS COMPONENTS "${LIBGMX}")
+    if (GROMACS_FOUND)
+      break()
+    endif(GROMACS_FOUND)
+  endforeach(LIBGMX)
+endif(WITH_GMX) 
 
 ########################################################################
 # Basic system tests (standard libraries, headers, functions, types)   #
@@ -105,11 +119,20 @@
 ######################################
 # Include the following subdirectory # 
 ######################################
-add_custom_target(manpages ALL)
+if(NOT TARGET manpages)
+  add_custom_target(manpages ALL)
+endif()
 add_subdirectory(scripts)
 add_subdirectory(src)
 add_subdirectory(include/votca/csg)
 add_subdirectory(share)
 
+file(GLOB VOTCA_CMAKE_MODULES CMakeModules/FindVOTCA* CMakeModules/FindSQLITE3.cmake)
+install(FILES ${VOTCA_CMAKE_MODULES} DESTINATION ${DATA}/template/CMakeModules)
+
 configure_file(${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)
-add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+add_custom_target(uninstall-csg COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+if(NOT TARGET uninstall)
+  add_custom_target(uninstall)
+endif()
+add_dependencies(uninstall uninstall-csg)

=== scripts/CMakeLists.txt ===
configure_file(help2t2t.in ${CMAKE_CURRENT_BINARY_DIR}/help2t2t.out @ONLY)
add_custom_target(help2t2t_build DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/help2t2t)
add_custom_command(OUTPUT help2t2t ALL COMMAND ${CMAKE_COMMAND}
    -DINPUT="help2t2t.out" -DOUTPUT="help2t2t"
    -DGIT_EXECUTABLE="${GIT_EXECUTABLE}"
    -DMERCURIAL_EXECUTABLE="${MERCURIAL_EXECUTABLE}"
    -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/gitscript.cmake)
set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES help2t2t)

foreach(SCRIPT csg_call csg_inverse multi_g_rdf)
  configure_file(${SCRIPT}.in ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.out @ONLY)
  add_custom_target(${SCRIPT}_build ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT})
  add_custom_command(OUTPUT ${SCRIPT} COMMAND ${CMAKE_COMMAND}
    -DINPUT="${SCRIPT}.out" -DOUTPUT="${SCRIPT}"
    -DGIT_EXECUTABLE="${GIT_EXECUTABLE}"
    -DMERCURIAL_EXECUTABLE="${MERCURIAL_EXECUTABLE}"
    -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/gitscript.cmake)
  set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT})
  install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} DESTINATION bin)
  if (TXT2TAGS_FOUND AND BASH)
    add_custom_command(OUTPUT ${SCRIPT}.man 
      COMMAND VOTCASHARE=${CMAKE_SOURCE_DIR}/share ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT} --help > ${SCRIPT}.help
      COMMAND ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/help2t2t ${SCRIPT}.help > ${SCRIPT}.t2t 
      COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${SCRIPT}.t2t -o ${SCRIPT}.man
      DEPENDS help2t2t_build ${SCRIPT})
    add_custom_target(${SCRIPT}_manpage DEPENDS ${SCRIPT}.man)
    add_dependencies(manpages ${SCRIPT}_manpage)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.man DESTINATION ${MAN}/man1 RENAME ${SCRIPT}.1)
    set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${SCRIPT}.help ${SCRIPT}.t2t)
  endif(TXT2TAGS_FOUND AND BASH)
endforeach(SCRIPT)

option(WITH_RC_FILES "Install votca rc files, no need when installing under /usr" ON)
install(FILES csg-completion.bash DESTINATION ${DATA}/rc)

=== share/xml/CMakeLists.txt ===
set(CSG_DEFAULTS csg_defaults.xml)
set(MDRUN mdrun)
set(G_ENERGY g_energy)
set(GROMPP grompp)

if(GROMACS_VERSION MATCHES ^5.*)
  set(MDRUN "gmx mdrun")
  set(G_ENERGY "gmx energy")
  set(GROMPP "gmx grompp")
endif()

configure_file(${CSG_DEFAULTS}.in ${CMAKE_CURRENT_BINARY_DIR}/${CSG_DEFAULTS} @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CSG_DEFAULTS} DESTINATION ${DATA}/xml)

file(GLOB_RECURSE VOTCA_XML mapping.xml)
install(FILES ${VOTCA_XML} DESTINATION ${DATA}/xml)

=== src/libcsg/CMakeLists.txt ===
file(GLOB GMX_SOURCES modules/io/gmx*.cc)
file(GLOB NOT_GMX_SOURCES modules/io/gmx_print_version.cc modules/io/gmx_version_nb.cc)
list(REMOVE_ITEM GMX_SOURCES ${NOT_GMX_SOURCES})

file(GLOB H5MD_SOURCES modules/io/h5md*.cc)

file(GLOB IO_SOURCES modules/io/*.cc)
file(GLOB NOT_IO_SOURCES modules/io/mdp*.cc)
list(REMOVE_ITEM IO_SOURCES ${GMX_SOURCES} ${NOT_GMX_SOURCES} ${H5MD_SOURCES} ${NOT_IO_SOURCES})

if (WITH_GMX)
  if (NOT GROMACS_FOUND)
    message(FATAL_ERROR "gromacs not found,  make sure you have installed at least the gromacs-4.0.7 and it's dev package. If the gromacs module was not found above, make sure you have sourced GMXRC or set PKG_CONFIG_PATH yourself. (use option -DGROMACS_PKG_OVERWRITE=libgmx/_d for gromacs<5.0 and -DGROMACS_PKG_OVERWRITE=libgromacs/_d for gromacs>=5.0 to influence the search.")
  endif(NOT GROMACS_FOUND)
  #general to a gmx builds
  add_definitions(${GROMACS_DEFINITIONS})
  include_directories(${GROMACS_INCLUDE_DIRS})
  set(GMX ${GROMACS_VERSION})
  add_executable(gmx_print_version modules/io/gmx_print_version.cc)
  target_link_libraries(gmx_print_version ${GROMACS_LIBRARIES})
  add_custom_command(OUTPUT gmx_libs_version.h COMMAND gmx_print_version > gmx_libs_version.h DEPENDS gmx_print_version)
  list(APPEND GMX_SOURCES gmx_libs_version.h)
else(WITH_GMX)
  set(GMX)
  set(GMX_SOURCES)
  set(GROMACS_LIBRARIES)
endif(WITH_GMX)


option(WITH_H5MD "Build H5MD reader!" OFF)
if(WITH_H5MD)
  find_package(HDF5 REQUIRED COMPONENTS "CXX")
  set(H5MD true)
  include_directories (${HDF5_INCLUDE_DIRS})
else(WITH_H5MD)
  set(H5MD)
  set(H5MD_SOURCES)
  set(HDF5_LIBRARIES)
endif(WITH_H5MD)

configure_file(votca_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/votca_config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_custom_target(gitversion-csg COMMAND ${CMAKE_COMMAND}
  -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}"
  -DGIT_EXECUTABLE="${GIT_EXECUTABLE}"
  -DMERCURIAL_EXECUTABLE="${MERCURIAL_EXECUTABLE}"
  -P ${CMAKE_MODULE_PATH}/gitversion.cmake)
set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES gitversion.h)

file(GLOB VOTCA_SOURCES *.cc potentialfunctions/*.cc)
file(GLOB NOT_VOTCA_SOURCES version_nb.cc test.cc)
list(REMOVE_ITEM VOTCA_SOURCES ${NOT_VOTCA_SOURCES})
add_library(votca_csg ${VOTCA_SOURCES} ${GMX_SOURCES} ${H5MD_SOURCES} ${IO_SOURCES})
add_dependencies(votca_csg gitversion-csg)
set_target_properties(votca_csg PROPERTIES SOVERSION ${SOVERSION})
target_link_libraries(votca_csg ${VOTCA_TOOLS_LIBRARIES} ${GROMACS_LIBRARIES} ${Boost_LIBRARIES} ${THREAD_LIBRARIES} ${HDF5_LIBRARIES})
install(TARGETS votca_csg LIBRARY DESTINATION ${LIB} ARCHIVE DESTINATION ${LIB})

configure_file(libvotca_csg.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libvotca_csg.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libvotca_csg.pc DESTINATION ${LIB}/pkgconfig)

=== debian/changelog ===
votca-csg (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * debian/patches/CheckCXXLibraryExists.patch: Import patch to fix FTBFS
    with cmake >= 3.4.

 -- Nicholas Breen <nbreen@debian.org>  Fri, 19 Aug 2016 10:34:58 +0200

votca-csg (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * debian/control: change B-D on gromacs-dev to libgromacs-dev.
  * debian/control: Add Replaces/Breaks for clean upgrades from
    libvotca-csg2* to csg[3]*.  (Closes: #821734)

 -- Nicholas Breen <nbreen@debian.org>  Thu, 18 Aug 2016 11:33:32 +0200

votca-csg (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on perl, not perl5 which is long obsolete.  Closes: #820877.

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Jul 2016 22:36:32 +0000

votca-csg (1.3.0-1) unstable; urgency=medium

  * New upstream release.

  [ Christoph Junghans ]
  * debian/rules (override_dh_auto_configure): Remove -DWITH_GMX_DEVEL=ON.
  * debian/rules (override_dh_auto_install):Updated.

  [ Michael Banck ]
  * debian/patches/gromacs-5.1.patch: Removed, no longer needed. 
  * debian/control (Build-Depends): Added libsqlite3-dev,
    libboost-filesystem-dev and libboost-system-dev.
  * debian/control (libvotca-csg2-dev): Renamed to ...
  * debian/control (libvotca-csg-dev): ... this.
  * debian/control (libvotca-csg2): Renamed to ...
  * debian/control (libvotca-csg3): ... this.
  * debian/control (votca-csg/Depends): Removed libvotca-csg3.
  * debian/libvotca-csg2.install: Renamed to ...
  * debian/libvotca-csg3.install: ... this.
  * debian/libvotca-csg2-dev.install: Renamed to ...
  * debian/libvotca-csg-dev.install: ... this.

 -- Michael Banck <mbanck@debian.org>  Thu, 03 Mar 2016 00:59:36 +0100

votca-csg (1.2.4-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * Fixed some lintian reported issues.
  * debian/copyright: Replaced references to code.google.com.
  * debian/watch: Updated after project moved to github.
  * debian/upstream: Renamed to debian/upstream/metadata. Replaced references
    to code.google.com accordingly.

  [ Michael Banck ]
  * debian/patches/gromacs-5.1.patch: New patch, allows building against
    Gromacs-5.1, by Christoph Junghans (Closes: #802357).

 -- Michael Banck <mbanck@debian.org>  Sat, 21 Nov 2015 23:38:25 +0100

=== debian/control ===
Source: votca-csg
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Christoph Junghans <junghans@votca.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends: bash-completion,
               cmake,
               debhelper (>= 9.0.0),
               dh-python,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libgromacs-dev,
               libsqlite3-dev,
               libvotca-tools-dev,
               pkg-config,
               python,
               txt2tags
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
Homepage: http://www.votca.org
Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/votca-csg/

Package: libvotca-csg-dev
Section: libdevel
Architecture: any
Depends: libvotca-csg3 (= ${binary:Version}), ${misc:Depends}
Breaks: libvotca-csg2-dev
Replaces: libvotca-csg2-dev
Description: VOTCA's coarse-graining library, development kit
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.
 .
 This package contains header files and pkg-config files and templates
 for VOTCA programs.

Package: libvotca-csg3
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libvotca-csg2
Replaces: libvotca-csg2
Description: VOTCA's coarse-graining library
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 libvotca-csg is Votca's coarse-graining library.

Package: votca-csg-scripts
Architecture: all
Depends: bash (>= 4), perl, ${misc:Depends}, ${python:Depends}
Description: VOTCA's coarse-graining scripts
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent coarse-graining scripts.

Package: votca-csg-tutorials
Architecture: all
Depends: bash (>= 4), ${misc:Depends}
Description: VOTCA's coarse-graining tutorials
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 This package contains architecture independent tutorials..

Package: votca-csg
Architecture: any
Depends: votca-csg-scripts (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: votca-csg-tutorials
Description: VOTCA's coarse-graining engine
 VOTCA is a software package which focuses on the analysis of molecular
 dynamics data, the development of systematic coarse-graining techniques as
 well as methods used for simulating microscopic charge transport in
 disordered semiconductors.
 .
 csg is Votca's coarse-graining engine.

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 override_dh_auto_configure:
-	#drop WITH_GMX_DEVEL=ON in Version >=1.3
-	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH) -DWITH_GMX_DEVEL=ON
+	dh_auto_configure -- -DLIB=lib/$(DEB_HOST_MULTIARCH)
 
 override_dh_python2:
 	dh_python2 /usr/share/votca/scripts/inverse/ -X.sh -X.pl
@@ -23,7 +22,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp -r tutorials debian/tmp/usr/share/votca/
-	rm -f debian/tmp/usr/share/votca/tutorials/.hg* debian/tmp/usr/share/votca/tutorials/spce/realtime/clean.sh
 
 %:
 	dh $@ --with bash-completion,python2

## votca-csg 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.11)
 
 project(votca-csg)
 
-set(PROJECT_VERSION "1.3")
+set(PROJECT_VERSION "1.4.1")
 set(PROJECT_CONTACT "bugs@votca.org")
 string(REGEX REPLACE "^[1-9]+\\.([1-9]+).*$" "\\1" SOVERSION "${PROJECT_VERSION}")
 if (NOT ${SOVERSION} MATCHES "[1-9]+")
@@ -28,6 +28,12 @@
 #####################################################################
 
 include(CheckCXXCompilerFlag)
+check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
+if(COMPILER_SUPPORTS_CXX11)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+else()
+	message(FATAL_ERROR "Could not find a C++-11 compiler")
+endif()
 
 ########################################################################
 # User input options                                                   #
@@ -79,12 +85,7 @@
 
 option(WITH_GMX "Build gromacs reader/writer, disabling leads to reduced functionality!" ON)
 if (WITH_GMX)
-  foreach(LIBGMX libgmx_d libgmx libgromacs_d libgromacs)
-    find_package(GROMACS COMPONENTS "${LIBGMX}")
-    if (GROMACS_FOUND)
-      break()
-    endif(GROMACS_FOUND)
-  endforeach(LIBGMX)
+  find_package(GROMACS REQUIRED)
 endif(WITH_GMX) 
 
 ########################################################################
@@ -136,3 +137,6 @@
   add_custom_target(uninstall)
 endif()
 add_dependencies(uninstall uninstall-csg)
+
+include(FeatureSummary)
+feature_summary(INCLUDE_QUIET_PACKAGES WHAT ALL)

=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
     -DTOP_SOURCE_DIR="${CMAKE_SOURCE_DIR}" -P ${CMAKE_MODULE_PATH}/gitscript.cmake)
 set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES help2t2t)
 
-foreach(SCRIPT csg_call csg_inverse multi_g_rdf)
+foreach(SCRIPT csg_call csg_inverse)
   configure_file(${SCRIPT}.in ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT}.out @ONLY)
   add_custom_target(${SCRIPT}_build ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${SCRIPT})
   add_custom_command(OUTPUT ${SCRIPT} COMMAND ${CMAKE_COMMAND}

=== share/man/CMakeLists.txt ===
if (TXT2TAGS_FOUND)
	add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/votca-csg.man 
    COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${CMAKE_CURRENT_SOURCE_DIR}/votca-csg.t2t -o ${CMAKE_CURRENT_BINARY_DIR}/votca-csg.man
    COMMENT "Building votca-csg manpage")
  add_custom_target(votca-csg_manpage DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/votca-csg.man)
  add_dependencies(manpages votca-csg_manpage)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/votca-csg.man DESTINATION ${MAN}/man7 RENAME votca-csg.7)
endif (TXT2TAGS_FOUND)

=== share/template/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/include)

foreach(PROG template_serial template_threaded)
  file(GLOB ${PROG}_SOURCES ${PROG}.cc)
  add_executable(${PROG} ${${PROG}_SOURCES})
  target_link_libraries(${PROG} votca_csg)
 install(FILES ${${PROG}_SOURCES} DESTINATION ${DATA}/template)
endforeach(PROG)

install(FILES CMakeLists.txt.template DESTINATION ${DATA}/template RENAME CMakeLists.txt)
install(FILES Makefile.template DESTINATION ${DATA}/template RENAME Makefile)

=== share/xml/CMakeLists.txt ===
set(CSG_DEFAULTS csg_defaults.xml)
set(MDRUN "gmx mdrun")
set(G_ENERGY "gmx energy")
set(GROMPP "gmx grompp")

configure_file(${CSG_DEFAULTS}.in ${CMAKE_CURRENT_BINARY_DIR}/${CSG_DEFAULTS} @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CSG_DEFAULTS} DESTINATION ${DATA}/xml)

file(GLOB_RECURSE VOTCA_XML mapping.xml)
install(FILES ${VOTCA_XML} DESTINATION ${DATA}/xml)

file(GLOB_RECURSE TOPOL_XML topol.xml)
install(FILES ${TOPOL_XML} DESTINATION ${DATA}/xml)

=== src/csg_boltzmann/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 if (TXT2TAGS_FOUND AND BASH)
   add_custom_command(OUTPUT csg_boltzmann.man 
     COMMAND ${CMAKE_CURRENT_BINARY_DIR}/csg_boltzmann --help > csg_boltzmann.help DEPENDS csg_boltzmann
-    COMMAND ${BASH} ${CMAKE_BINARY_DIR}/scripts/help2t2t csg_boltzmann.help > csg_boltzmann.t2t
+    COMMAND ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/../../scripts/help2t2t csg_boltzmann.help > csg_boltzmann.t2t
     COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i csg_boltzmann.t2t -o csg_boltzmann.man
-    DEPENDS scripts/help2t2t csg_boltzmann)
+    DEPENDS help2t2t_build csg_boltzmann)
   add_custom_target(csg_boltzmann_manpage DEPENDS csg_boltzmann.man)
   add_dependencies(manpages csg_boltzmann_manpage)
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/csg_boltzmann.man DESTINATION ${MAN}/man1 RENAME csg_boltzmann.1)

=== src/libcsg/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
 file(GLOB GMX_SOURCES modules/io/gmx*.cc)
-file(GLOB NOT_GMX_SOURCES modules/io/gmx_print_version.cc modules/io/gmx_version_nb.cc)
-list(REMOVE_ITEM GMX_SOURCES ${NOT_GMX_SOURCES})
 
 file(GLOB H5MD_SOURCES modules/io/h5md*.cc)
 
@@ -9,17 +7,10 @@
 list(REMOVE_ITEM IO_SOURCES ${GMX_SOURCES} ${NOT_GMX_SOURCES} ${H5MD_SOURCES} ${NOT_IO_SOURCES})
 
 if (WITH_GMX)
-  if (NOT GROMACS_FOUND)
-    message(FATAL_ERROR "gromacs not found,  make sure you have installed at least the gromacs-4.0.7 and it's dev package. If the gromacs module was not found above, make sure you have sourced GMXRC or set PKG_CONFIG_PATH yourself. (use option -DGROMACS_PKG_OVERWRITE=libgmx/_d for gromacs<5.0 and -DGROMACS_PKG_OVERWRITE=libgromacs/_d for gromacs>=5.0 to influence the search.")
-  endif(NOT GROMACS_FOUND)
   #general to a gmx builds
   add_definitions(${GROMACS_DEFINITIONS})
   include_directories(${GROMACS_INCLUDE_DIRS})
   set(GMX ${GROMACS_VERSION})
-  add_executable(gmx_print_version modules/io/gmx_print_version.cc)
-  target_link_libraries(gmx_print_version ${GROMACS_LIBRARIES})
-  add_custom_command(OUTPUT gmx_libs_version.h COMMAND gmx_print_version > gmx_libs_version.h DEPENDS gmx_print_version)
-  list(APPEND GMX_SOURCES gmx_libs_version.h)
 else(WITH_GMX)
   set(GMX)
   set(GMX_SOURCES)
@@ -29,7 +20,7 @@
 
 option(WITH_H5MD "Build H5MD reader!" OFF)
 if(WITH_H5MD)
-  find_package(HDF5 REQUIRED COMPONENTS "CXX")
+    find_package(HDF5 REQUIRED COMPONENTS "C")
   set(H5MD true)
   include_directories (${HDF5_INCLUDE_DIRS})
 else(WITH_H5MD)

=== src/tools/CMakeLists.txt ===
foreach(PROG csg_reupdate csg_map csg_dump csg_property csg_resample csg_stat csg_fmatch csg_imcrepack csg_gmxtopol csg_dlptopol csg_density)
  file(GLOB ${PROG}_SOURCES ${PROG}*.cc)
  add_executable(${PROG} ${${PROG}_SOURCES})
  target_link_libraries(${PROG} votca_csg)
  install(TARGETS ${PROG} RUNTIME DESTINATION bin)
  if (TXT2TAGS_FOUND AND BASH)
    add_custom_command(OUTPUT ${PROG}.man
      COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${PROG} --help > ${PROG}.help
      COMMAND ${BASH} ${CMAKE_CURRENT_BINARY_DIR}/../../scripts/help2t2t ${PROG}.help > ${PROG}.t2t
      COMMAND ${TXT2TAGS_EXECUTABLE} -q -t man -i ${PROG}.t2t -o ${PROG}.man
      DEPENDS help2t2t_build ${PROG})
    add_custom_target(${PROG}_manpage DEPENDS ${PROG}.man)
    add_dependencies(manpages ${PROG}_manpage)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROG}.man DESTINATION ${MAN}/man1 RENAME ${PROG}.1)
    set_property(DIRECTORY APPEND PROPERTY ADDITIONAL_MAKE_CLEAN_FILES ${PROG}.help ${PROG}.t2t)
  endif(TXT2TAGS_FOUND AND BASH)
endforeach(PROG)

=== include/votca/csg/CMakeLists.txt ===
file(GLOB_RECURSE VOTCA_HEADERS *.h potentialfunctions/*.h)
install(FILES ${VOTCA_HEADERS} DESTINATION include/votca/csg)

=== share/scripts/inverse/CMakeLists.txt ===
file(GLOB VOTCA_SCRIPTS *.sh *.pl *.py)
file(GLOB VOTCA_FILES csg_table *.pm *.m *.octave) 

install(FILES ${VOTCA_FILES} DESTINATION ${DATA}/scripts/inverse)
install(PROGRAMS ${VOTCA_SCRIPTS} DESTINATION ${DATA}/scripts/inverse)

=== debian/changelog ===
votca-csg (1.4.1-1build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 11:51:29 +0100

votca-csg (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop CheckCXXLibraryExists.patch, incorporated upstream.
    - Rename libvotca-csg3 to libvotca-csg4.
  * Tighten build dependency on libvotca-tools-dev to a 1.4 version.
  * Add B-D on libgsl-dev.
  * Bump Standards-Version to 4.1.3.
  * debian/patches/solvematlab-syntax.patch: fix syntax error in
    solve_matlab.sh.

 -- Nicholas Breen <nbreen@debian.org>  Thu, 11 Jan 2018 20:12:52 -0800

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,14 @@
                libboost-program-options-dev,
                libboost-system-dev,
                libgromacs-dev,
+               libgsl-dev,
                libsqlite3-dev,
-               libvotca-tools-dev,
+               libvotca-tools-dev (>= 1.4.1),
+               libvotca-tools-dev (<= 1.5~),
                pkg-config,
                python,
                txt2tags
-Standards-Version: 3.9.5
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 Homepage: http://www.votca.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/votca-csg/
@@ -26,7 +28,7 @@
 Package: libvotca-csg-dev
 Section: libdevel
 Architecture: any
-Depends: libvotca-csg3 (= ${binary:Version}), ${misc:Depends}
+Depends: libvotca-csg4 (= ${binary:Version}), ${misc:Depends}
 Breaks: libvotca-csg2-dev
 Replaces: libvotca-csg2-dev
 Description: VOTCA's coarse-graining library, development kit
@@ -40,12 +42,12 @@
  This package contains header files and pkg-config files and templates
  for VOTCA programs.
 
-Package: libvotca-csg3
+Package: libvotca-csg4
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libvotca-csg2
-Replaces: libvotca-csg2
+Breaks: libvotca-csg2, libvotca-csg3
+Replaces: libvotca-csg2, libvotca-csg3
 Description: VOTCA's coarse-graining library
  VOTCA is a software package which focuses on the analysis of molecular
  dynamics data, the development of systematic coarse-graining techniques as

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	cp -r tutorials debian/tmp/usr/share/votca/
+	rm -f debian/tmp/usr/share/votca/tutorials/.gitignore
+	-chmod 755 debian/tmp/usr/share/votca/tutorials/urea-water/kb-ibi/run.sh
 
 %:
 	dh $@ --with bash-completion,python2
